Page MenuHomePhabricator

New Acoustic domain rollout - Change URLs
Closed, ResolvedPublic2 Estimated Story Points

Description

Acoustic is transitioning URLs for all Acoustic products to Acoustic-branded domains. These changes primarily affect IBM-branded domains, such as customer-engagement.ibm.com and ibmmarketingcloud.com. This transfer includes domains for user interfaces, as well as domains for API integrations, SFTP connections, and software SDKs.

Customers and partners who have implemented API integrations, automations via (S)FTP, or who have embedded Acoustic product SDKs within their applications will need to:

  1. Review this webpage containing the full list of URL changes: https://acoustic.com/standardized-acoustic-urls/
  2. Identify any Acoustic product “Original URLs” used in API or (S)FTP integrations, as well as any Acoustic product SDKs referenced in web or mobile applications.
  3. For each identified “Original URL,” implement changes within your integrated processes or applications to point to the “New URL” no later than the “Original URL End-of-Life” date.

Almost all of the the original URLs expire on June 30. The most relevant to email are under General, Campaign, Performance Insights, Personalization, and Other.

Event Timeline

MNoorWMF created this task.Jun 17 2020, 4:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2020, 4:11 PM
MNoorWMF triaged this task as High priority.Jun 17 2020, 4:11 PM

Just a heads up: Acoustic planned upgrades have been rescheduled to occur on Saturday, June 27 between 12am and 4am ET. Users will experience downtime or inability to access Acoustic Campaign Pods 0, 1, 2, 3, 4, 5, and Pod 9.

Thank you, Moska! Re your last comment, we are on Pod 4 so we will be affected.

@fr-tech, I believe you use these urls for some of the data integrations between Acoustic > Civi. If we're wrong about that, feel free to close this task!

FR-Tech, @mepps @Cstone and I looked at this on tech-talk it looks like the two places we need to check in relation to this are:

Silverpop export Config

File: /etc/fundraising/silverpop_export.yaml

specifically:

Login credentials for the silverpop transfer server
sftp:
    host: 123.123.123.123
    username: foo
    password: foo"
    host_key:

Omnimail-Silverpop package

https://github.com/eileenmcnaughton/omnimail-silverpop

DStrine lowered the priority of this task from High to Medium.Jun 23 2020, 8:59 PM
DStrine added a subscriber: DStrine.

@MNoorWMF @CCogdill_WMF we looked into this and we are not using the urls that are scheduled to change. It doesn't seem like we need to do this before the June 27th deadline. However we will update to the new URLs soon.

thanks for the update David

I got an email from Acoustic today regarding updating certificates. wanted to share in the event that it is applicable here:

*You are receiving this message as a user of Acoustic Campaign.*

As we shared with you our plans on June 22 and July 7, our teams completed maintenance on July 15th at 9pm Eastern Time (July 16 at 1am GMT) to ensure Acoustic Campaign continues to remain reliable and secure. As part of this maintenance, we have renewed SSL certificates for some legacy domains, including *.silverpop.com domains, that you may use to access Acoustic Campaign.

Acoustic Campaign teams have completed the certificate installation process, and your teams may now make any planned certificate changes.

If you have questions, please visit our help center or reach out to the Acoustic Support team.

Sincerely,

Sammy Chow
Vice President, Customer Support, Acoustic

@MNoorWMF this last message actually assures us that the URLs we are using are still supported so no needed updates on our end. I am talking with the team to see if we still want to switch URLs to the most current ones to future proof ourselves. But for now things are ok.

@DStrine it seems we actually might need to do some updating on our end. Received the below email this morning. Brian from Trilogy is helping track down which URLs, if needed. Will update the ticket with his findings accordingly.

Acoustic Campaign Legacy API Deprecation

Hello,

Your company has been identified as having one or more orgs still using legacy Campaign URLs, which had an end-of-life date of June 30. These URLs are being deprecated by Acoustic and have no guarantee of continued availability. It is imperative that you change to the new Acoustic URLs now in order to not to interrupt any integrations you may have set up with Acoustic Campaign. For more information, refer to the following instructions that have been distributed since February 2020: Standardized Acoustic URLs

If you are unsure of what legacy URLs you are still using please open a support case and the Campaign support team can assist in providing the legacy URLs you are still accessing. You can open a ticket via the support portal at any time. We would be happy to assist further.

Thanks,
Acoustic Campaign Support

Just adding a little more info from Acoustic--it seems like the API calls we're using with the old URLs are related to GDPR. This could potentially be problematic for France if we aren't accurately handling GDPR requests. The France campaign launches in two weeks.

Can we take another look at this?

DStrine set the point value for this task to 2.Aug 18 2020, 8:16 PM
DStrine closed this task as Resolved.Sep 1 2020, 7:13 PM